Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452800 - Buffer overflows, EQU miscompile in NASM < 2.03.01
Summary: Buffer overflows, EQU miscompile in NASM < 2.03.01
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nasm
Version: 9
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Petr Machata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 06:19 UTC by H. Peter Anvin
Modified: 2015-05-05 01:34 UTC (History)
1 user (show)

Fixed In Version: 2.03.01-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-26 08:30:54 UTC


Attachments (Terms of Use)

Description H. Peter Anvin 2008-06-25 06:19:10 UTC
Description of problem:

There are several (low impact, but still) buffer overflows in NASM releases
prior to 2.03.01.

Additionally, in NASM prior to 2.03, some code that use the EQU instruction
would silently produce incorrect code.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

- Create a piece of code which contains an EQU with a forward reference.
- Then *reference* the EQU before the forward reference is resolved.
- NASM will emit an *absolute* reference, which will produce incorrect code if
linked at a non-zero offset.

Comment 1 Petr Machata 2008-06-25 10:35:44 UTC
I have pushed 2.03.01 a minute ago.

Comment 2 Fedora Update System 2008-06-26 08:30:52 UTC
nasm-2.03.01-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.